          &dhemail;

&dhfirstname; &dhsurname;
2008
&dhusername;
&dhdate;
&dhucpackage;

&dhsection;

# &dhpackage;

query font files

          &dhpackage;

          -Vh

    	-b
    	--ignore-blanks

            -i index
            --index index

            -f format
            --format format

          --version
          --help
          font-file

## DESCRIPTION

`&dhpackage;` queries font-file(s) using the normal fontconfig rules and prints out font pattern for each face found. If `--index` is given, only one face of each file is queried, otherwise all faces are queried.

## OPTIONS

This program follows the usual &gnu; command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

`-b` `--ignore-blanks`

  Ignore blanks to compute languages

`-i` `--index` `index`

  Only query face indexed index of each file.

`-f` `--format` `format`

  Format output according to the format specifier format.

`-V` `--version`

  Show version of the program and exit.

`-h` `--help`

  Show summary of options.

`font-file`

  Query font-file for font faces.

## RETURN CODES

`fc-query` returns error code 0 for successful parsing, or 1 if any errors occured or if at least one font face could not be opened.

## SEE ALSO

`fc-scan`(1) `FcFreeTypeQuery`(3) `FcPatternFormat`(3) `fc-cat`(1) `fc-cache`(1) `fc-list`(1) `fc-match`(1) `fc-pattern`(1)

The fontconfig user's guide, in HTML format: `/usr/share/doc/fontconfig/fontconfig-user.html`.

## AUTHOR

This manual page was updated by &dhusername; &dhemail;.